Skip to main content
GET
List webhook deliveries (paginated)

Authorizations

Authorization
string
header
required

API token: tsu_pat_… (PAT) or tsu_proj_… (project token). The token's granted RBAC permissions determine access; see each operation's x-permission.

Path Parameters

projectId
string
required

Project id (UUID) or id-embedded path slug.

Query Parameters

endpointId
string<uuid>

Only deliveries to this endpoint.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
eventType

Only deliveries of this event type.

Available options:
translation_key.created,
translation_key.updated,
translation_key.deleted,
translation_value.updated,
branch.created,
branch.merged,
import.completed,
export.completed,
language.added,
language.removed
status
enum<string>

Only deliveries in this state.

Available options:
pending,
success,
failed,
dead,
skipped
page
integer

1-based page number.

Required range: x >= 1
limit
integer

Page size (max 100).

Required range: 1 <= x <= 100

Response

200 - application/json

A page of deliveries.

success
boolean
required
data
object
required